Skip to main content
`Ctrl`+`K`

# ISColoringViewFromOptions

Processes command line options to determine if/how an `ISColoring` object is to be viewed.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISColoringViewFromOptions(ISColoring obj, PetscObject bobj, const char optionname[])

Collective

## Input Parameters

- obj - the `ISColoring` object

- bobj - prefix to use for viewing, or `NULL` to use prefix of `mat`

- optionname - option to activate viewing

## Developer Notes

This cannot use `PetscObjectViewFromOptions()` because `ISColoring` is not a `PetscObject`

## See Also

`ISColoring`, `ISColoringView()`

## Level

intermediate

## Location

src/vec/is/is/utils/iscoloring.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages